X448PublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class X448PublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.X448PublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public final class X448PublicKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KEY_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X448PublicKeyParameters(byte[] buf)`
    `X448PublicKeyParameters(byte[] buf, int off)`
    `X448PublicKeyParameters(java.io.InputStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(byte[] buf, int off)`
    `byte[]` | `getEncoded()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIZE

          public static final int KEY_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### X448PublicKeyParameters

          public X448PublicKeyParameters(byte[] buf)

    - #### X448PublicKeyParameters

          public X448PublicKeyParameters(byte[] buf,
                                         int off)

    - #### X448PublicKeyParameters

          public X448PublicKeyParameters(java.io.InputStream input)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### encode

          public void encode(byte[] buf,
                             int off)

    - #### getEncoded

          public byte[] getEncoded()